<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Document</title>
</head>
<body>
    <h1>Números / numbers</h1>

    <script>
    let nombre = "Luis";
    let a = 123;
    let numero = "123";
    let b = 34.12;
    
    console.log(nombre, a, numero);
    // typeof muestra por consola que tipo de primitivo tiene la variable
    console.log(a, typeof numero);
    console.log(b);
    //abajo con el toFixed muestra solo el primer decimal
    console.log(b.toFixed(1));
    console.log(a + b);
    // abajo concatena y toma ambos como string
    console.log(a + numero);
    //parseInt castea textos a números, lo que se dice "parsear"
    console.log(a + parseInt(numero)); 


    </script>
</body>
</html>